<?php

namespace App\Http\Controllers;

use App\Tin;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Support\Facades\Http;


class TinController extends Controller
{
    /**
     * Controller constructor.
     *
     * @param  \App\Accounts  $accounts
     */
    public function __construct(Tin $tin)
    {
        $this->tin = $tin;
    }

    /**
     * Get Individual.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\JsonResponse
     */
    public function individual(Request $request)
    {
        $curl = curl_init();

        curl_setopt_array($curl, array(
        CURLOPT_URL => 'https://bornoirs.com/tin2/individual/',
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => '',
        CURLOPT_MAXREDIRS => 10,
        CURLOPT_TIMEOUT => 0,
        curl_setopt($curl, CURLOPT_TIMEOUT, 30), //20 seconds will be enough
        CURLOPT_FOLLOWLOCATION => true,
        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        CURLOPT_CUSTOMREQUEST => 'POST',
        CURLOPT_POSTFIELDS => 
        array(
            'name' =>  $request['name'],
            'address' =>  $request['address'],
            'business' =>  $request['business'],
            'mobile' =>  $request['mobile'],
            'email' =>  $request['email'],
            'dob' =>  $request['dob'],
            'nin' =>  $request['nin'],
             'CID' => '3449923457-test'
    ),
        CURLOPT_HTTPHEADER => array(
        
        ),
        ));
        
        $response = curl_exec($curl);
    
        
        curl_close($curl);

        return $response;
    }

    /**
     * Get nonIndividual
     *
     * @param  \Illuminate\Http\Request  $request
     *
     * @return \Illuminate\Http\JsonResponse
     */
    public function nonIndividual(Request $request)
    {
        $curl = curl_init();

        curl_setopt_array($curl, array(
        CURLOPT_URL => 'https://bornoirs.com/tin2/non-individual/',
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => '',
        CURLOPT_MAXREDIRS => 10,
        CURLOPT_TIMEOUT => 0,
        curl_setopt($curl, CURLOPT_TIMEOUT, 30), //20 seconds will be enough
        CURLOPT_FOLLOWLOCATION => true,
        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        CURLOPT_CUSTOMREQUEST => 'POST',
        CURLOPT_POSTFIELDS => 
        array(
            'name' => $request['name'],
            'cacn' =>  $request['cacn'],
            'TaxPayerType' =>  $request['TaxPayerType'],
            'address' => $request['address'],
            'business' => $request['business'],
            'contactp' => $request['contactp'],
            'mobile' => $request['mobile'],
            'email' =>  $request['email'],
            'dobc' =>  $request['dobc'],
            // 'tdate' => '',
            'nin' =>  $request['nin'],
            'bvn' => $request['bvn'],
             'CID' => '3449923457-test'

        ),
        CURLOPT_HTTPHEADER => array(
        
        ),
        ));
        
        $response = curl_exec($curl);
    
        
        curl_close($curl);
        

        return $response;
    }
    
    public function tinValidation(Request $request)
    {
        $curl = curl_init();

        curl_setopt_array($curl, array(
        CURLOPT_URL => 'https://bornoirs.com/tin2/validation/',
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => '',
        CURLOPT_MAXREDIRS => 10,
        CURLOPT_TIMEOUT => 0,
        curl_setopt($curl, CURLOPT_TIMEOUT, 30), //20 seconds will be enough
        CURLOPT_FOLLOWLOCATION => true,
        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        CURLOPT_CUSTOMREQUEST => 'POST',
        CURLOPT_POSTFIELDS => 
        array(
            'pointer' =>  $request['pointer'],
            'key' =>  $request['key'],
            'CID' => '3449923457-test'),
        CURLOPT_HTTPHEADER => array(
        
        ),
        ));
        
        $response = curl_exec($curl);
    
        
        curl_close($curl);
        

        return $response;
    }
  
}
